pragma solidity >=0.6.12;

// Author:	Louis Holbrook <dev@holbrook.no> 0826EDA1702D1E87C6E2875121D2E7BB88C2A746
// SPDX-License-Identifier:	GPL-3.0-or-later
// File-version: 1

interface Declarator {
	function declaration(address _declarator, address _subject) external view returns ( bytes32[] memory );
	function declarationCount(address _declarator) external view returns ( uint256 );
	function declarationAddressAt(address _declarator, uint256 _idx) external view returns ( address );
	function addDeclaration(address _subject, bytes32 _proof) external returns ( bool );
	function declaratorAddressAt(address _subject, uint256 _idx) external view returns ( address );
	function declaratorCount(address _subject) external view returns ( uint256 );
}
